Skip to Content
Custom fields

Create Custom Field Definition

Toegang

Lid van de organisatie met dit recht:

  • custom-fields:manage

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

POST
/orgs/{organizationId}/custom-fields/definitions

Adds a custom field to an entity. The key is immutable afterwards.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
entity*string
Value in"CUSTOMER""TERRAIN""OCCUPATION""METER""TASK""PRODUCT""DOCUMENT""RESERVATION""ACCESS_METHOD"
definition*||||||||||||
readAccess?
Default{}
writeAccess?
Default{}

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//custom-fields/definitions' \  -H 'Content-Type: application/json' \  -d '{  "entity": "CUSTOMER",  "definition": {    "key": "string",    "label": "string",    "required": true,    "type": "TEXT",    "config": {}  }}'
Example Response
null